{% extends 'base.html' %}

{% block content %}
    <left>
    {% if searched %}
        <h1>You searched for {{ searched }}</h1>
        <br/>
        {% for song in songs %}
            <a href="{% url 'song_detail' song.id %}">{{ song }}</a><br/>
        {% endfor %}
        {% for artist in artists %}
            <a href="{% url 'artist_detail' artist.id %}">{{ artist }}</a></br>
            <ol>
                {% for song in artist.songs.all %}
                <li>{{ song }}</li>
                {% endfor %}
            </ol>
        {% endfor %}
        {% for playlist in playlists %}
            <a href="{% url 'playlist_detail' playlist.id %}">{{ playlist }}</a></br>
        {% endfor %}
    {% else %}
        <h1>You forgot to search for a song...</h1>
    {% endif %}
    </left>
{% endblock content %}